﻿using Infragistics.UltraChart.Core.Primitives;
using Infragistics.UltraChart.Shared.Styles;
using System.Drawing;

public partial class _Default : System.Web.UI.Page
{
    private void Page_Load(object sender, System.EventArgs e)
    {
    }

    protected void UltraChart_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
    {
        foreach (Primitive p in e.SceneGraph)
        {
            //Custom font color
            if (p is Text)
            {
                Text text = (Text)p;
                Font font = new Font("Verdana", 8, FontStyle.Bold);

                switch (text.GetTextString())
                {
                    case "Design":
                        text.SetLabelStyle(new LabelStyle
                        {
                            Font = font,
                            FontColor = Color.Red,
                        });
                        break;

                    case "Plan":
                        text.SetLabelStyle(new LabelStyle
                        {
                            Font = font,
                            FontColor = Color.Green
                        });
                        break;

                    case "Implement":
                        text.SetLabelStyle(new LabelStyle
                        {
                            Font = font,
                            FontColor = Color.Blue
                        });
                        break;
                }
            }
        }
    }
}